#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(.gnu.linkonce.this_module) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section(__versions) = {
	{ 0x1949d08b, "module_layout" },
	{ 0xfda9581f, "prandom_u32" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9305bf68, "find_next_and_bit" },
	{ 0xb6a68816, "find_last_bit" },
	{ 0x479c3c86, "find_next_zero_bit" },
	{ 0xc0a3d105, "find_next_bit" },
	{ 0xc5850110, "printk" },
	{ 0xb352177e, "find_first_bit" },
	{ 0xb43f9365, "ktime_get" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B7382049567A2E775BAAFE5");
